Name:           hedley
Summary:        A C/C++ header to help move #ifdefs out of your code
Version:        15
Release:    1%{?dist}

URL:            https://nemequ.github.io/hedley/
%global forgeurl https://github.com/nemequ/hedley
Source0:         %{forgeurl}/archive/v%{version}/hedley-%{version}.tar.gz
License:        CC0-1.0

BuildRequires:  gcc-c++
BuildRequires:  make

%global common_description %{expand:
Hedley is a single C/C++ header you can include in your project to enable
compiler-specific features while retaining compatibility with all compilers. It
contains dozens of macros to help make your code easier to use, harder to
misuse, safer, faster, and more portable.

You can safely include Hedley in your public API, and it works with virtually
any C or C++ compiler.}

%description %{common_description}


%package devel
Summary:        %{summary}

Provides:       hedley-static = %{version}-%{release}

%description devel %{common_description}


%prep
%autosetup




%install
install -t %{buildroot}%{_includedir} -p -m 0644 -D hedley.h


%check
%make_build -C test


%files devel
%license COPYING
%doc NEWS
%doc README.md

%{_includedir}/hedley.h


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 15-1
- initial build
